Page MenuHomePhabricator

[GSoC] Weekly Reports for Extension for page creating/editing notification
Closed, ResolvedPublic

Description

Weekly reports of the progress of T130924

Week 1: May 23 - May 29

  1. Next feature to be added in to the extension
  2. Worked on the page edit notification: Trigger notification when an edit is made to any of the pages in MediaWiki.
  3. Worked on the bug in the notification title: The title of the alert message seems to be blank.

Week 2: May 30 - June 5

  1. Change in value of a template and template field: Trigger the notification when there is a change in template value.
  2. Understood about Templates and Infoboxes
  3. Looked through Extension:DataTransfer

Week 3: June 6 - June 12

  1. Continued working on template change
  2. Notification for change in template field to a specific template value
  3. Track the change in template even if the order of the template field is changed.

Week 4: June 13 - June 19

  1. Making it available for the users and admins to receive notification.
  2. Designing of global variable.: Adding the keys and designing the structure of the variable $wgEditNotify
  3. Fixed blank alert message for Echo notification

Week 5: June 20 - June 26

  1. Implementing the global variable
    • trigger notification to all pages finished
    • trigger notification for namespace finished
    • trigger notification for categories of the pages finished
  2. Added all-changes notification to all pages, namespace and categories
  3. Removed duplicate notification for all-change, template field change and template field to specific field value change
  4. Duplicates notification for all pages, namespace and categories

Week 6: June 27 - July 3

  1. Rechecked the working of the notification
  2. Making the notification title more verbose
  3. Working on the i18n of Email notification
    • Adding new Echo Formatters for each notification

Week 7: July 4 - July 10

  1. Modifying the parameters passed to the notification messages
  2. Fixing the duplicates of category change notification
  3. Removing parameter which are not needed from the alert messages
  4. Adding new line to the email notification

Week 8 : July 11 - July 17

  1. Removed the change from fly-out messages
  2. Updated the email-subject
  3. Adding array to store users who got notified and also removing duplicate notifications.
  4. Including users who signed up for all-pages to get notified of changes

Week 9: July 18 - July 24

  1. Fixed the notification for users subscribed for all-pages notification
  2. Implement create page notification
  3. Documentation for extension at mediawiki.org : Extension:EditNotify

Week 10: July 25 - July 31

  1. Continue working on the documentation
    • Added structure of global variable
  2. Working on the bug on page creation - PageContentInsertComplete and PageContentSave working on the simultaneously on page creation
    • Changed Category:CategoryName to CategoryName
  3. Tried PageContentSaveComplete hook to check for page create event and get the categories of the page

Week 11: Aug 1 - Aug 7

  1. Changed user-id to user name in the global array
  2. Changing necessary variables and code for the above change
  3. Add examples of global array in Extension:EditNotify
  4. Trying possible ways to get the categories of newly created page

Week 12: Aug 8 - Aug 14

  1. Changing the structure of the global array to include fixed keys in the array
  2. Fixed code for category and namespace notification on change in template field to a field value
  3. Introduced handlers in the event mentioned above
  4. Implemented notification for change in template field to a field value

Week 13: Aug 15 - Aug 23

  1. Changing the code: notification for change in template field
    • Finished implementing namespace notification
    • Finished category notification
    • Completed all pages notification
  2. Implemented non template page notification
  3. Made corrections in create page notification
  4. Updated doc at mediawiki.org - added new examples of changed code
  5. Requested for gerrit repo - EditNotify
  6. Updated qqq.json - completed the documentation at qqq.json
  7. Testing the code and checking for bugs
  8. Added screen shots to the EditNotify page at mediawiki.org
  9. Got gerrit repository and pushed code to fix indentation issues

Event Timeline

Abhinand created this task.May 18 2016, 6:54 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 6:54 AM
Abhinand updated the task description. (Show Details)Jun 5 2016, 10:46 AM
Abhinand updated the task description. (Show Details)Jun 17 2016, 9:35 AM
Abhinand updated the task description. (Show Details)
Abhinand updated the task description. (Show Details)Jun 27 2016, 5:23 PM
Abhinand updated the task description. (Show Details)Jul 1 2016, 6:54 AM
Abhinand updated the task description. (Show Details)Jul 4 2016, 1:36 PM
Abhinand updated the task description. (Show Details)Jul 10 2016, 5:48 PM
Abhinand updated the task description. (Show Details)Jul 16 2016, 2:16 PM
Abhinand updated the task description. (Show Details)Jul 22 2016, 7:47 AM
Abhinand updated the task description. (Show Details)Jul 25 2016, 8:00 AM
Abhinand updated the task description. (Show Details)Jul 26 2016, 4:39 PM
Abhinand updated the task description. (Show Details)Jul 28 2016, 6:52 PM
Abhinand updated the task description. (Show Details)Jul 31 2016, 9:01 PM
Abhinand updated the task description. (Show Details)Aug 5 2016, 11:03 AM
Abhinand updated the task description. (Show Details)Aug 6 2016, 7:04 AM
Abhinand updated the task description. (Show Details)Aug 10 2016, 3:49 PM
Abhinand updated the task description. (Show Details)Aug 11 2016, 6:36 PM
Abhinand updated the task description. (Show Details)Aug 14 2016, 10:26 AM
Abhinand updated the task description. (Show Details)Aug 14 2016, 8:46 PM
Abhinand updated the task description. (Show Details)Aug 15 2016, 7:43 PM
Abhinand updated the task description. (Show Details)Aug 16 2016, 6:40 PM
Abhinand updated the task description. (Show Details)Aug 18 2016, 8:03 PM
Abhinand updated the task description. (Show Details)Aug 19 2016, 8:10 PM
Abhinand updated the task description. (Show Details)Aug 22 2016, 3:20 PM
Abhinand updated the task description. (Show Details)

Thank you for the weekly reports. Feel free to close this down, as the program just got over.

Abhinand closed this task as Resolved.Aug 31 2016, 1:24 PM